20.10 to 21.04: snap does not upgrade channel

Bug #1922297 reported by Joshua Powers on 2021-04-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray
Bionic
Undecided
Brian Murray
Focal
Undecided
Brian Murray
Groovy
Undecided
Brian Murray
Hirsute
High
Brian Murray

Bug Description

[Impact]

Snaps tracking a stable/ubuntu-$version (other than gnome-3-34-1804 and gtk-common-themes) are not upgraded during the release upgrade process.

Per LP: #1827951 and LP: #1748581, it would appear that if a snap is tracking a release channel (e.g. latest/stable/ubuntu-20.10), during a do-release-upgrade the snap channel should update to the new release. Testing of a Google cloud image, from 20.10 to 21.04 the google-cloud-sdk does not get updated.

# Expected result

After a do-release-upgrade, the snap channel for google-cloud-sdk should be updated from "latest/stable/ubuntu-20.10" to "latest/stable/ubuntu-21.04".

# Actual result

After install, the snap continues to track "latest/stable/ubuntu-20.10".

[Test Plan]
GCE image test
--------------
1. Boot 20.04 GCE image
2. snap info google-cloud-sdk --> "latest/stable/ubuntu-20.04"
3. do-release-upgrade
4. accept defaults and reboot
5. snap info google-cloud-sdk --> "latest/stable/ubuntu-20.10"

With the version from -proposed the snap will be tracking "latest/stable/ubuntu-20.10"

Ubuntu (18.04, 20.04) Desktop test (regression test)
----------------------------------------------------
1. Create an Ubuntu 20.04 installation (w/ ubuntu-desktop)
2. Run 'do-release-upgrade -p' to upgrade to Groovy
3. Ensure that the gtk-common-themes (and gnome-3-34-1804) snap is now tracking "latest/stable/ubuntu-20.10" via snap-info

With the version from -proposed all installed snaps which track "latest/stable/ubuntu-20.04" will also be upgraded to "latest/stable/ubuntu-20.10".

Ubuntu (16.04) Desktop test plan (new feature)
----------------------------------------------
1. Create an Ubuntu 16.04 installation w/ ubuntu-desktop
2. Run 'do-release-upgrade' to upgrade to Ubuntu 18.04
3. Run snap list and verify that no snaps are installed

With the version of the release upgrader in -proposed you will have a set of snaps installed which are equivalent to the snaps that are preseeded in Ubuntu 18.04. That list of snaps is:

gnome-3-34-1804, gnome-calculator, gnome-characters, gnome-logs, gnome-system-monitor, and gtk-common-themes.

[Where Problems could occur]
This could regress the upgrading of snaps for Ubuntu desktop images but we've identified that and created a regression test for that scenario.

# Logs

main.log https://paste.ubuntu.com/p/kbSvM5JMzP/
screenlog.0 https://paste.ubuntu.com/p/h5kvtcX5Z6/
apt-term.log https://paste.ubuntu.com/p/gNJVzbtT4Z/

Joshua Powers (powersj) on 2021-04-01
description: updated
tags: added: rls-hh-incoming
tags: added: fr-1270
tags: removed: rls-hh-incoming
Revision history for this message
Brian Murray (brian-murray) wrote :

The snap handling is only done on systems where 'ubuntu-desktop' and 'snapd' are installed on the system being upgraded this is actually sort of documented in LP: #1748581.

Revision history for this message
Brian Murray (brian-murray) wrote :

Actually the check for ubuntu-desktop is the result of LP: #1787668.

Revision history for this message
Joshua Powers (powersj) wrote :

I don't see why ubuntu-desktop is required in either of those bugs. Is there a defined policy that says we only do snap upgrades on systems with that package?

Revision history for this message
Joshua Powers (powersj) wrote :

The reason I am looking into this is that we are stating we support cloud image upgrades from LTS to LTS now. As such, I would hope that the upgrade process would upgrade the snap channels.

Changed in ubuntu-release-upgrader (Ubuntu Hirsute):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
importance: Undecided → High
description: updated
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:21.04.8

---------------
ubuntu-release-upgrader (1:21.04.8) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * tests/test_quirks.py: update the snap tests for the above changes.
  * Run pre-build.sh.

 -- Brian Murray <email address hidden> Mon, 12 Apr 2021 15:33:41 -0700

Changed in ubuntu-release-upgrader (Ubuntu Hirsute):
status: In Progress → Fix Released
Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)
Changed in ubuntu-release-upgrader (Ubuntu Bionic):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
description: updated
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Joshua, or anyone else affected,

Accepted ubuntu-release-upgrader into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.10.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Joshua, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.32 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (ubuntu-release-upgrader/1:20.04.32)

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:20.04.32) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:20.04.10.6 (amd64, armhf, ppc64el, arm64, s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (ubuntu-release-upgrader/1:20.10.15)

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:20.10.15) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

update-manager/1:20.10.5 (armhf, s390x, arm64, amd64, ppc64el)
ubuntu-release-upgrader/1:20.10.15 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Joshua, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.43 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Brian Murray (brian-murray) wrote :

The verification has been completed for the upgrade from Focal to Groovy with the dist-upgrader in -proposed on an Ubuntu desktop system.

bdmurray@clean-focal-amd64:~$ snap list
Name Version Rev Tracking Publisher Notes
core18 20210309 1997 latest/stable canonical✓ base
gnome-3-34-1804 0+git.3556cb3 66 latest/stable/… canonical✓ -
gtk-common-themes 0.1-50-gf7627e4 1514 latest/stable/… canonical✓ -
snap-store 3.38.0-59-g494f078 518 latest/stable/… canonical✓ -
snapd 2.49.2 11588 latest/stable canonical✓ snapd
bdmurray@clean-focal-amd64:~$ snap info gtk-common-themes
name: gtk-common-themes
summary: All the (common) themes
publisher: Canonical✓
store-url: https://snapcraft.io/gtk-common-themes
contact: https://gitlab.gnome.org/Community/Ubuntu/gtk-common-themes/issues
license: unset
description: |
  A snap that exports the GTK and icon themes used on various Linux distros.
snap-id: jZLfBRzf1cYlYysIjD2bwSzNtngY0qit
tracking: latest/stable/ubuntu-20.10
refresh-date: 2021-02-11
channels:
  latest/stable: 0.1-50-gf7627e4 2020-11-27 (1514) 67MB -
  latest/candidate: 0.1-50-gf7627e4 2020-11-25 (1514) 67MB -
  latest/beta: 0.1-50-gf7627e4 2020-11-25 (1514) 67MB -
  latest/edge: 0.1 2020-04-17 (1503) 58MB -
installed: 0.1-50-gf7627e4 (1514) 67MB -
bdmurray@clean-focal-amd64:~$ head -n12 /var/log/dist-upgrade/main.log
2021-04-20 07:52:30,366 INFO Using config files '['./DistUpgrade.cfg']'
2021-04-20 07:52:30,366 INFO uname information: 'Linux clean-focal-amd64 5.8.0-50-generic #56~20.04.1-Ubuntu SMP Mon Apr 12 21:46:35 UTC 202
1 x86_64'
2021-04-20 07:52:30,651 INFO apt version: '2.0.5'
2021-04-20 07:52:30,651 INFO python version: '3.8.5 (default, Jan 27 2021, 15:41:15)
[GCC 9.3.0]'
2021-04-20 07:52:30,654 INFO release-upgrader version '20.10.15' started

Revision history for this message
Brian Murray (brian-murray) wrote :

The verification passed for an upgrade from Bionic to Focal with the dist-upgrader in -proposed on an Ubuntu desktop system.

bdmurray@clean-bionic-amd64:~$ snap list
Name Version Rev Tracking Publisher Notes
core18 20210309 1997 latest/stable canonical✓ base
gnome-3-34-1804 0+git.3556cb3 66 latest/stable/… canonical✓ -
gnome-calculator 3.36.0+git9.96b95fd2 748 latest/stable/… canonical✓ -
gnome-characters v3.34.0+git8.a46106b 550 latest/stable/… canonical✓ -
gnome-logs 3.34.0 100 latest/stable/… canonical✓ -
gnome-system-monitor 3.36.0-12-g35f88a56d7 148 latest/stable/… canonical✓ -
gtk-common-themes 0.1-50-gf7627e4 1514 latest/stable/… canonical✓ -
snap-store 3.38.0-59-g494f078 518 latest/stable/… canonical✓ -
snapd 2.45.2 8542 latest/stable canonical✓ snapd
bdmurray@clean-bionic-amd64:~$ snap info gtk-common-themes
name: gtk-common-themes
summary: All the (common) themes
publisher: Canonical✓
store-url: https://snapcraft.io/gtk-common-themes
contact: https://gitlab.gnome.org/Community/Ubuntu/gtk-common-themes/issues
license: unset
description: |
  A snap that exports the GTK and icon themes used on various Linux distros.
snap-id: jZLfBRzf1cYlYysIjD2bwSzNtngY0qit
tracking: latest/stable/ubuntu-20.04
refresh-date: today at 08:48 PDT
channels:
  latest/stable: 0.1-50-gf7627e4 2020-11-27 (1514) 67MB -
  latest/candidate: 0.1-50-gf7627e4 2020-11-25 (1514) 67MB -
  latest/beta: 0.1-50-gf7627e4 2020-11-25 (1514) 67MB -
  latest/edge: 0.1 2020-04-17 (1503) 58MB -
installed: 0.1-50-gf7627e4 (1514) 67MB -
bdmurray@clean-bionic-amd64:~$ head /var/log/dist-upgrade/main.log
2021-04-20 08:17:15,936 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2021-04-20 08:17:15,936 INFO uname information: 'Linux clean-bionic-amd64 5.4.0-72-generic #80~18.04.1-Ubuntu SMP Mon Apr 12 23:26:25 UTC 2021 x86_64'
2021-04-20 08:17:16,370 INFO apt version: '1.6.13'
2021-04-20 08:17:16,370 INFO python version: '3.6.9 (default, Jan 26 2021, 15:33:00)
[GCC 8.4.0]'
2021-04-20 08:17:16,373 INFO release-upgrader version '20.04.32' started

Revision history for this message
Joshua Powers (powersj) wrote :

# Upgrading Xenial to Bionic on GCE

1. Launched GCE instance
2. Installed google-cloud-sdk snap
3. Updated system
4. Verified the tracking channel was updated

name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-16.04
refresh-date: today at 17:20 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic

Revision history for this message
Joshua Powers (powersj) wrote :

# Upgrading Bionic to Focal on GCE

1. Launched GCE instance
2. Installed google-cloud-sdk snap
3. Updated system
4. Verified the tracking channel was updated

$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Google Cloud SDK
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 15:58 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 336.0.0 (177) 236MB classic
$ do-release-upgrade -p
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-20.04
refresh-date: today at 17:08 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-20 16:44:43,490 INFO release-upgrader version '20.04.32' started

Revision history for this message
Joshua Powers (powersj) wrote :

# Upgrading Xenial to Bionic on GCE (again with more logs this time)

1. Launched GCE instance
2. Installed google-cloud-sdk snap
3. Updated system
4. Verified the tracking channel was updated

$ sudo snap install google-cloud-sdk --channel latest/stable/ubuntu-16.04 --classic
2021-04-20T16:24:02Z INFO Waiting for automatic snapd restart...
google-cloud-sdk 337.0.0 from Cloud SDK (google-cloud-sdk✓) installed
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-16.04
refresh-date: today at 17:20 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ do-release-upgrade -p
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 16:24 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-20 16:24:46,328 INFO release-upgrader version '18.04.40' started

Revision history for this message
Joshua Powers (powersj) wrote :

# update /etc/update-manager/release-upgrades to Prompt=normal
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Google Cloud SDK
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-20.04
refresh-date: 4 days ago, at 04:14 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 336.0.0 (177) 236MB classic
$ do-release-upgrade -p
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-20.10
refresh-date: today at 17:57 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-20 17:47:06,645 INFO release-upgrader version '20.10.15' started

Revision history for this message
Brian Murray (brian-murray) wrote :

The verification passed for an upgrade from Xenial to Bionic with the dist-upgrader in -proposed on an Ubuntu desktop system.

bdmurray@clean-xenial-amd64:/tmp/ubuntu-release-upgrader-4s1rl91t$ snap list
Name Version Rev Tracking Publisher Notes
core18 20210309 1997 latest/stable canonical✓ base
gnome-3-34-1804 0+git.3556cb3 66 latest/stable canonical✓ -
gnome-calculator 3.38.2+git3.1d166209 884 latest/stable/… canonical✓ -
gnome-characters v3.34.0+git30.16311a5 708 latest/stable/… canonical✓ -
gnome-logs 3.36.0 103 latest/stable/… canonical✓ -
gnome-system-monitor 3.38.0-17-g38c1ce1d62 157 latest/stable/… canonical✓ -
gtk-common-themes 0.1-50-gf7627e4 1514 latest/stable canonical✓ -
snapd 2.49.2 11588 latest/stable canonical✓ snapd
bdmurray@clean-xenial-amd64:/tmp/ubuntu-release-upgrader-4s1rl91t$ snap info gnome-logs
name: gnome-logs
summary: A log viewer for the systemd journal
publisher: Canonical✓
store-url: https://snapcraft.io/gnome-logs
contact: https://bugs.launchpad.net/ubuntu/+source/gnome-logs/+bugs?field.tag=snap
license: unset
description: |
  Logs makes it easy to view and filter log messages and events.
  Filter logs by category and importance to get the information you want. Use
  the integrated search to get more relevant results.
commands:
  - gnome-logs
snap-id: kIMfmZTJspWa8vtfbgU3W9Nbv4V5Qgmh
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 11:35 PDT
channels:
  latest/stable: 3.36.0 2021-03-15 (103) 561kB -
  latest/candidate: ↑
  latest/beta: ↑
  latest/edge: ↑
installed: 3.36.0 (103) 561kB -
bdmurray@clean-xenial-amd64:/tmp/ubuntu-release-upgrader-4s1rl91t$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-20 09:19:16,290 INFO release-upgrader version '18.04.40' started

Revision history for this message
Brian Murray (brian-murray) wrote :

Actually this didn't turn out the way we want (when upgrading from X to B) as gnome-3-34-1804 and gtk-common-themes are not tracking latest/stable/ubuntu-18.04 but just latest/stable because they were installed as dependencies of another snap. This is only an issue during the upgrade from X to B as the snaps will have already been installed on an Ubuntu 18.04 system. Simply changing the quirk to use an ordered dictionary will ensure that the two dependent snaps are installed first and tracking the right channel.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Joshua, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.44 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Joshua Powers (powersj) wrote :

# Upgrading Xenial to Bionic on GCE (again with more logs this time)

1. Launched GCE instance
2. Installed google-cloud-sdk snap
3. Updated system
4. Verified the tracking channel was updated

$ sudo snap install google-cloud-sdk --channel latest/stable/ubuntu-16.04 --classic
2021-04-21T16:41:37Z INFO Waiting for automatic snapd restart...
google-cloud-sdk 337.0.0 from Cloud SDK (google-cloud-sdk✓) installed
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-16.04
refresh-date: today at 16:41 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ do-release-upgrade -p
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [819 B]
Get:2 Upgrade tool [1,247 kB]
Fetched 1,248 kB in 0s (0 B/s)
authenticate 'bionic.tar.gz' against 'bionic.tar.gz.gpg'
extracting 'bionic.tar.gz'
[screen is terminating]
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 16:41 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-21 16:42:07,419 INFO release-upgrader version '18.04.40' started

Revision history for this message
Brian Murray (brian-murray) wrote :

I tested the latest version of the release-upgrader in -proposed for Bionic and the gtk-common-themes snap is tracking latest/stable/ubuntu-18.04.

bdmurray@clean-xenial-amd64:~$ snap list
Name Version Rev Tracking Publisher Notes
core18 20210309 1997 latest/stable canonical✓ base
gnome-3-34-1804 0+git.3556cb3 66 latest/stable/… canonical✓ -
gnome-calculator 3.38.2+git3.1d166209 884 latest/stable/… canonical✓ -
gnome-characters v3.34.0+git30.16311a5 708 latest/stable/… canonical✓ -
gnome-logs 3.36.0 103 latest/stable/… canonical✓ -
gnome-system-monitor 3.38.0-17-g38c1ce1d62 157 latest/stable/… canonical✓ -
gtk-common-themes 0.1-50-gf7627e4 1514 latest/stable/… canonical✓ -
snapd 2.49.2 11588 latest/stable canonical✓ snapd
bdmurray@clean-xenial-amd64:~$ snap info gtk-common-themes
name: gtk-common-themes
summary: All the (common) themes
publisher: Canonical✓
store-url: https://snapcraft.io/gtk-common-themes
contact: https://gitlab.gnome.org/Community/Ubuntu/gtk-common-themes/issues
license: unset
description: |
  A snap that exports the GTK and icon themes used on various Linux distros.
snap-id: jZLfBRzf1cYlYysIjD2bwSzNtngY0qit
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 10:56 PDT
channels:
  latest/stable: 0.1-50-gf7627e4 2020-11-27 (1514) 67MB -
  latest/candidate: 0.1-52-gb92ac40 2021-04-21 (1515) 68MB -
  latest/beta: 0.1-52-gb92ac40 2021-04-21 (1515) 68MB -
  latest/edge: 0.1 2020-04-17 (1503) 58MB -
installed: 0.1-50-gf7627e4 (1514) 67MB -
bdmurray@clean-xenial-amd64:~$ snap info gnome-3-34-1804
name: gnome-3-34-1804
summary: Shared GNOME 3.34 Ubuntu stack
publisher: Canonical✓
store-url: https://snapcraft.io/gnome-3-34-1804
license: unset
description: |
  This snap includes a GNOME 3.34 stack (the base libraries and desktop
  integration components) and shares it through the content interface.
snap-id: TIM9dBBJEceEjMpwaB3fiuZ3AdSykgDO
tracking: latest/stable/ubuntu-18.04
...
bdmurray@clean-xenial-amd64:~$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-21 10:02:47,348 INFO release-upgrader version '18.04.44' started

Revision history for this message
Joshua Powers (powersj) wrote :

# Upgrading Xenial to Bionic on GCE

Running again with the correct, newer release-upgrader version from today

1. Launched GCE instance
2. Installed google-cloud-sdk snap
3. Updated system
4. Verified the tracking channel was updated

$ sudo snap install google-cloud-sdk --channel latest/stable/ubuntu-16.04 --classic
2021-04-21T20:25:30Z INFO Waiting for automatic snapd restart...
google-cloud-sdk 337.0.0 from Cloud SDK (google-cloud-sdk✓) installed
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-16.04
refresh-date: today at 20:25 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ do-release-upgrade -p
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [819 B]
Get:2 Upgrade tool [1,247 kB]
Fetched 1,247 kB in 0s (0 B/s)
authenticate 'bionic.tar.gz' against 'bionic.tar.gz.gpg'
extracting 'bionic.tar.gz'
[screen is terminating]
$ sudo snap info google-cloud-sdk
name: google-cloud-sdk
summary: Command-line interface for Google Cloud Platform products and services
publisher: Cloud SDK (google-cloud-sdk✓)
store-url: https://snapcraft.io/google-cloud-sdk
contact: https://cloud.google.com/sdk/docs/
license: unset
description: |
  Command-line interface for Google Cloud Platform products and services
commands:
  - google-cloud-sdk.anthoscli
  - google-cloud-sdk.bq
  - google-cloud-sdk.docker-credential-gcloud
  - google-cloud-sdk.gcloud
  - google-cloud-sdk.gsutil
  - google-cloud-sdk.kubectl
snap-id: MJbt3BgxESyOON7gqKVEnA06NLRM3Dxd
tracking: latest/stable/ubuntu-18.04
refresh-date: today at 20:25 UTC
channels:
  latest/stable: 337.0.0 2021-04-20 (178) 237MB classic
  latest/candidate: ↑
  latest/beta: 337.0.0 2021-04-20 (178) 237MB classic
  latest/edge: 337.0.0 2021-04-20 (178) 237MB classic
installed: 337.0.0 (178) 237MB classic
$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2021-04-21 20:32:40,783 INFO release-upgrader version '18.04.44' started

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.15

---------------
ubuntu-release-upgrader (1:20.10.15) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <email address hidden> Tue, 13 Apr 2021 11:10:49 -0700

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote : Update Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.32

---------------
ubuntu-release-upgrader (1:20.04.32) focal; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
     upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
     release. (LP: #1922297)
  * Update mirrors, demotions, and translations.

 -- Brian Murray <email address hidden> Tue, 13 Apr 2021 11:37:34 -0700

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.44

---------------
ubuntu-release-upgrader (1:18.04.44) bionic; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Ensure that when installing snaps both
    gnome-3 and the gtk-common-themes snapped are installed first such that
    they will be tracking the latest/stable/ubuntu-18.04 channel.
    (LP: #1922297)

 -- Brian Murray <email address hidden> Tue, 20 Apr 2021 14:36:27 -0700

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers